Bug 867856 - RuntimeError: Error running hwclock: No such file or directory
RuntimeError: Error running hwclock: No such file or directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: TestBlocker
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-10-18 08:35 EDT by Jan Stodola
Modified: 2013-03-12 10:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 04:48:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-10-18 08:35:06 EDT
Description of problem:

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 94, in doInstall
    timezone.save_hw_clock(ksdata.timezone)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/timezone.py", line 106, in save_hw_clock
    iutil.execWithRedirect(cmd, args, stdout="/dev/tty5", stderr="/dev/tty5")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 193, in execWithRedirect
    raise RuntimeError, errstr
RuntimeError: Error running hwclock: No such file or directory


Version-Release number of selected component (if applicable):
anaconda 18.17

How reproducible:
always

Steps to Reproduce:
1. start installation in text or vnc mode
2. select partitioning, enter time zone/password and continue with the installation
  
Actual results:
traceback

Expected results:
anaconda creates partitioning and installs packages

Additional info:
tested only on s390x, not sure if the same traceback appears on x86_64
Comment 6 Dan Horák 2012-10-18 09:05:53 EDT
It shouldn't happen on x86, hwclock doesn't exist on s390 at all

https://lists.fedorahosted.org/pipermail/anaconda-patches/2012-October/001686.html
Comment 7 Fedora Update System 2012-10-19 21:31:46 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 8 Fedora Update System 2012-10-19 23:50:27 EDT
Package anaconda-18.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16528/anaconda-18.19-1.fc18
then log in and leave karma (feedback).
Comment 9 Jan Stodola 2012-10-23 04:48:48 EDT
Retested on a compose with anaconda-18.19-1.fc18, this issue is fixed.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.